> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# Delete a user

`DELETE https://api.pagerduty.com/scim/v2/Users/{id}`

Deletes a user by their unique identifier.
Scoped OAuth requires: `users.write`

## Authorization

- **apiKey** (apiKey) — `Authorization` header. A [General Access API Key](https://support.pagerduty.com/main/docs/api-access-keys#generate-a-general-access-rest-api-key) with format `Token token=<API_KEY>`
- **bearerToken** (http) — HTTP bearer. An [App OAuth Token](https://docs.pagerduty.com/developer/private-apps) with format `Bearer <TOKEN>`

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `id` | string | yes | The ID of the user targeted in this request. |

## Response 204

No Content

## Response 400

Bad Request

### `application/scim+json`

| Field | Type | Required | Description |
|---|---|---|---|
| `detail` | string | yes | Detailed error explanation. |
| `schemas` | array of string (uri) | yes | URIs that indicate the schemas used in data. Default: `["urn:ietf:params:scim:api:messages:2.0:Error"]`. Min items: 1. Items must be unique. |
| `scimType` | string |  | SCIM error type. One of: `invalidFilter`, `tooMany`, `uniqueness`, `mutability`, `invalidSyntax`, `invalidPath`, `noTarget`, `invalidValue`, `invalidVers`, `sensitive`. |
| `status` | string | yes | HTTP status code for the error. |

## Response 401

Unauthorized

### `application/scim+json`

| Field | Type | Required | Description |
|---|---|---|---|
| `detail` | string | yes | Detailed error explanation. |
| `schemas` | array of string (uri) | yes | URIs that indicate the schemas used in data. Default: `["urn:ietf:params:scim:api:messages:2.0:Error"]`. Min items: 1. Items must be unique. |
| `scimType` | string |  | SCIM error type. One of: `invalidFilter`, `tooMany`, `uniqueness`, `mutability`, `invalidSyntax`, `invalidPath`, `noTarget`, `invalidValue`, `invalidVers`, `sensitive`. |
| `status` | string | yes | HTTP status code for the error. |

## Response 403

Forbidden

### `application/scim+json`

| Field | Type | Required | Description |
|---|---|---|---|
| `detail` | string | yes | Detailed error explanation. |
| `schemas` | array of string (uri) | yes | URIs that indicate the schemas used in data. Default: `["urn:ietf:params:scim:api:messages:2.0:Error"]`. Min items: 1. Items must be unique. |
| `scimType` | string |  | SCIM error type. One of: `invalidFilter`, `tooMany`, `uniqueness`, `mutability`, `invalidSyntax`, `invalidPath`, `noTarget`, `invalidValue`, `invalidVers`, `sensitive`. |
| `status` | string | yes | HTTP status code for the error. |

## Response 404

Not Found

### `application/scim+json`

| Field | Type | Required | Description |
|---|---|---|---|
| `detail` | string | yes | Detailed error explanation. |
| `schemas` | array of string (uri) | yes | URIs that indicate the schemas used in data. Default: `["urn:ietf:params:scim:api:messages:2.0:Error"]`. Min items: 1. Items must be unique. |
| `scimType` | string |  | SCIM error type. One of: `invalidFilter`, `tooMany`, `uniqueness`, `mutability`, `invalidSyntax`, `invalidPath`, `noTarget`, `invalidValue`, `invalidVers`, `sensitive`. |
| `status` | string | yes | HTTP status code for the error. |

## Response 500

Internal Server Error

### `application/scim+json`

| Field | Type | Required | Description |
|---|---|---|---|
| `detail` | string | yes | Detailed error explanation. |
| `schemas` | array of string (uri) | yes | URIs that indicate the schemas used in data. Default: `["urn:ietf:params:scim:api:messages:2.0:Error"]`. Min items: 1. Items must be unique. |
| `scimType` | string |  | SCIM error type. One of: `invalidFilter`, `tooMany`, `uniqueness`, `mutability`, `invalidSyntax`, `invalidPath`, `noTarget`, `invalidValue`, `invalidVers`, `sensitive`. |
| `status` | string | yes | HTTP status code for the error. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
